Index: Singular/Makefile.in
===================================================================
--- Singular/Makefile.in	(revision addc4c2c08713a1b97f0be5fda4a5d67a440eba9)
+++ Singular/Makefile.in	(revision dd57de88e55278eda6cb13440245f4364fc0ba95)
@@ -138,8 +138,10 @@
 LIBSG := ${MP_LIBS} ${LIBSG}
 DL_KERNEL =
+GLIBC_DYN_FIX=
 else
 LDFLAGS  := ${LD_DYN_FLAGS} ${LDFLAGS}
 SING_EXEC = Singular
 DL_KERNEL	= @DL_KERNEL@
+GLIBC_DYN_FIX= @GLIBC_DYN_FIX@
 endif
 
@@ -423,5 +425,5 @@
 
 mpsr.so: $(MPSR_SOURCES:.cc=.dl_o)
-	$(LD) ${SLDFLAGS} -o $@ $^ -L${libdir} ${MP_LIBS}
+	$(LD) ${SLDFLAGS} -o $@ $^ -L${libdir} ${MP_LIBS} ${GLIBC_DYN_FIX}
 
 dbmsr.so: $(DBMSR_SOURCES:.cc=.dl_o)
@@ -627,28 +629,7 @@
 OBJG2 := $(CSOURCES:.c=.og) 
 
-OBJP1 := $(CXXSOURCES:.cc=.op) 
-OBJP2 := $(CSOURCES:.c=.op) 
-
-OBJB1 := $(CXXSOURCES:.cc=.ob) 
-OBJB2 := $(CSOURCES:.c=.ob) 
-
-OBJT1 := $(CXXSOURCES:.cc=.ot) 
-OBJT2 := $(CSOURCES:.c=.ot) 
-
-OBJA1 := $(CXXSOURCES:.cc=.oa) 
-OBJA2 := $(CSOURCES:.c=.oa) 
-
-
 OBJG=$(OBJG1) $(OBJG2) 
-OBJP=$(OBJP1) $(OBJP2)
-OBJB=$(OBJB1) $(OBJB2)
-OBJT=$(OBJT1) $(OBJT2)
-OBJA=$(OBJA1) $(OBJA2)
 
 DL_TAILG=\"sog\"
-DL_TAILP=\"sop\"
-DL_TAILB=\"sob\"
-DL_TAILT=\"sot\"
-DL_TAILA=\"soa\"
 
 
@@ -658,32 +639,8 @@
 DL_LIBSG := $(MPSR_SO:%.so=%.sog) $(DBMSR_SO:%.so=%.sog)
 
-OBJP := $(OBJP) $(DL_KERNEL_SOURCES:.cc=.op)
-DL_LIBSP := $(MPSR_SO:%.so=%.sop) $(DBMSR_SO:%.so=%.sop)
-
-OBJB := $(OBJB) $(DL_KERNEL_SOURCES:.cc=.ob)
-DL_LIBSB := $(MPSR_SO:%.so=%.sob) $(DBMSR_SO:%.so=%.sob)
-
-OBJT := $(OBJT) $(DL_KERNEL_SOURCES:.cc=.ot)
-DL_LIBST := $(MPSR_SO:%.so=%.sot) $(DBMSR_SO:%.so=%.sot)
-
-OBJA := $(OBJA) $(DL_KERNEL_SOURCES:.cc=.oa)
-DL_LIBSA := $(MPSR_SO:%.so=%.soa) $(DBMSR_SO:%.so=%.soa)
-
 else
 
 OBJG := $(OBJG) $(STATIC_SOURCES:.cc=.og) $(COMMON_SOURCES:.cc=.og)
 DL_LIBSG=
-
-OBJP := $(OBJP) $(STATIC_SOURCES:.cc=.op) $(COMMON_SOURCES:.cc=.op)
-DL_LIBSP=
-
-OBJB := $(OBJB) $(STATIC_SOURCES:.cc=.ob) $(COMMON_SOURCES:.cc=.ob)
-DL_LIBSB=
-
-OBJT := $(OBJT) $(STATIC_SOURCES:.cc=.ot) $(COMMON_SOURCES:.cc=.ot)
-DL_LIBST=
-
-OBJA := $(OBJA) $(STATIC_SOURCES:.cc=.oa) $(COMMON_SOURCES:.cc=.oa)
-DL_LIBST=
 
 endif
@@ -712,5 +669,5 @@
 
 mpsr.sog: $(MPSR_SOURCES:.cc=.dl_og)
-	${CXXG} ${CXXFLAGSG} ${SFLAGS} ${SLDFLAGS} ${LDFLAGS} -o $@ $^ ${MP_LIBS}
+	${CXXG} ${CXXFLAGSG} ${SFLAGS} ${SLDFLAGS} ${LDFLAGS} -o $@ $^ ${MP_LIBS} ${GLIBC_DYN_FIX}
 
 dbmsr.sog: $(DBMSR_SOURCES:.cc=.dl_og)
@@ -747,50 +704,13 @@
 
 ##
-## compiler and linker options for profile version
-##
-
-CCP		= gcc
-CXXP		= @CXX@
-
-CFLAGSP		= -pg -O3 ${PIPE}
-CXXFLAGSP	= -pg -O3 ${PIPE}
-CXXTEMPLFLAGSP	= -fno-implicit-templates
-DEFSP		= -DNDEBUG -DOM_NDEBUG -DDO_PROFILE -D@SING_UNAME@ @DEFS@ -DDL_TAIL=$(DL_TAILP)
-LDFLAGSP	= -static @LDFLAGS@
-
-CFLAGSB		= -g -O3 ${PIPE}
-CXXFLAGSB	= -g -O3 ${PIPE}
-CXXTEMPLFLAGSB	= -fno-implicit-templates
-DEFSB		= -D@SING_UNAME@ -DOM_NDEBUG -DNDEBUG @DEFS@ -DDL_TAIL=$(DL_TAILB)
-LDFLAGSB	= -static @LDFLAGS@
-
-# bprof object  file to link with
-BPROFOBJ	= /usr/local/lib/bmon.o
-
-DEFST           = -DNO_INLINE -DNDEBUG -D@SING_UNAME@ -DOM_TRACK=2 -DOM_CHECK=0 @DEFS@ -DDL_TAIL=$(DL_TAILT)
-LDFLAGST        = @LDFLAGS@
-CFLAGST		= -g  -O2 -w ${PIPE}
-CXXFLAGST	= -g  -O2 -w ${PIPE}
-
-##
-## op and ob files for gprof and bprof, ot for mtrack, oc for OMCHECK=1
-##
-
-
-##
-## check_aso
-##
-check_aso:
-	${PERL} check_aso.pl $(SOURCES)
-##
 ## dependencies
 ##
 
 %.dd: %.cc mod2.h 
-	echo $(@:.dd=.og) $(@:.dd=.op) $(@:.dd=_d.cc) $(@:.dd=.od) $(@:.dd=.ob) $(@:.dd=.ot) $(@:.dd=.oa) $(@:.dd=.dl_o) $(@:.dd=.dl_og) $(@:.dd=.dl_op) $(@:.dd=.dl_od) $(@:.dd=.dl_ob) $(@:.dd=.dl_ot) $(@:.dd=.dl_oa)" " \\ > $@
+	echo $(@:.dd=.og) $(@:.dd=_d.cc) $(@:.dd=.dl_o) $(@:.dd=.dl_og)" " \\ > $@
 	$(CXXM) -DGENTABLE ${CPPFLAGS} ${DEFSG} $< >> $@
 
 %.d: %.c mod2.h 
-	echo $(@:.d=.og) $(@:.d=.od) $(@:.dd=_d.c) $(@:.d=.op) $(@:.d=.ob) $(@:.d=.ot) $(@:.d=.oa)" " \\ > $@
+	echo $(@:.d=.og) $(@:.dd=_d.c)" " \\ > $@
 	$(CCM) ${CPPFLAGS} ${DEFSG} $< >> $@
 
Index: kernel/Makefile.in
===================================================================
--- kernel/Makefile.in	(revision addc4c2c08713a1b97f0be5fda4a5d67a440eba9)
+++ kernel/Makefile.in	(revision dd57de88e55278eda6cb13440245f4364fc0ba95)
@@ -245,32 +245,8 @@
 DL_LIBSG := $(P_PROCS_MODULES:%=p_Procs_%.sog)
 
-OBJP := $(OBJP) $(DL_KERNEL_SOURCES:.cc=.op)
-DL_LIBSP := $(P_PROCS_MODULES:%=p_Procs_%.sop)
-
-OBJB := $(OBJB) $(DL_KERNEL_SOURCES:.cc=.ob)
-DL_LIBSB := $(P_PROCS_MODULES:%=p_Procs_%.sob)
-
-OBJT := $(OBJT) $(DL_KERNEL_SOURCES:.cc=.ot)
-DL_LIBST := $(P_PROCS_MODULES:%=p_Procs_%.sot)
-
-OBJA := $(OBJA) $(DL_KERNEL_SOURCES:.cc=.oa)
-DL_LIBSA := $(P_PROCS_MODULES:%=p_Procs_%.soa)
-
 else
 
 OBJG := $(OBJG) $(STATIC_SOURCES:.cc=.og)
 DL_LIBSG=
-
-OBJP := $(OBJP) $(STATIC_SOURCES:.cc=.op)
-DL_LIBSP=
-
-OBJB := $(OBJB) $(STATIC_SOURCES:.cc=.ob)
-DL_LIBSB=
-
-OBJT := $(OBJT) $(STATIC_SOURCES:.cc=.ot)
-DL_LIBST=
-
-OBJA := $(OBJA) $(STATIC_SOURCES:.cc=.oa)
-DL_LIBST=
 
 endif
@@ -397,22 +373,5 @@
 OBJG2 := $(CSOURCES:.c=.og) 
 
-OBJP1 := $(CXXSOURCES:.cc=.op) 
-OBJP2 := $(CSOURCES:.c=.op) 
-
-OBJB1 := $(CXXSOURCES:.cc=.ob) 
-OBJB2 := $(CSOURCES:.c=.ob) 
-
-OBJT1 := $(CXXSOURCES:.cc=.ot) 
-OBJT2 := $(CSOURCES:.c=.ot) 
-
-OBJA1 := $(CXXSOURCES:.cc=.oa) 
-OBJA2 := $(CSOURCES:.c=.oa)
-
-
 OBJG=$(OBJG1) $(OBJG2) 
-OBJP=$(OBJP1) $(OBJP2)
-OBJB=$(OBJB1) $(OBJB2)
-OBJT=$(OBJT1) $(OBJT2)
-OBJA=$(OBJA1) $(OBJA2)
 
 ifeq ($(DL_KERNEL),1)
@@ -458,122 +417,4 @@
 	-rm -f libkernel-g.a
 	ar cr $@ $^
-
-##
-## compiler and linker options for profile version
-##
-
-CCP		= gcc
-CXXP		= gcc
-
-CFLAGSP		= -pg -O3 ${PIPE}
-CXXFLAGSP	= -pg -O3 ${PIPE}
-CXXTEMPLFLAGSP	= -fno-implicit-templates
-DEFSP		= -DNDEBUG -DOM_NDEBUG -DDO_PROFILE -D@SING_UNAME@ @DEFS@ -DDL_TAIL=$(DL_TAILP)
-LDFLAGSP	= -static @LDFLAGS@
-
-CFLAGSB		= -g -O3 ${PIPE}
-CXXFLAGSB	= -g -O3 ${PIPE}
-CXXTEMPLFLAGSB	= -fno-implicit-templates
-DEFSB		= -D@SING_UNAME@ -DOM_NDEBUG -DNDEBUG @DEFS@ -DDL_TAIL=$(DL_TAILB)
-LDFLAGSB	= -static @LDFLAGS@
-
-# bprof object  file to link with
-BPROFOBJ	= /usr/local/lib/bmon.o
-
-DEFST           = -DNO_INLINE -DNDEBUG -D@SING_UNAME@ -DOM_TRACK=2 -DOM_CHECK=0 @DEFS@ -DDL_TAIL=$(DL_TAILT)
-LDFLAGST        = @LDFLAGS@
-CFLAGST		= -g  -O2 -w ${PIPE}
-CXXFLAGST	= -g  -O2 -w ${PIPE}
-
-##
-## op and ob files for gprof and bprof, ot for mtrack, oc for OMCHECK=1
-##
-
-
-##
-## profile targets
-##
-
-## for gprof
-p_Procs_%.sop: p_Procs_Lib_%.dl_op
-	${CXXP} ${CXXFLAGSP} ${SFLAGS} ${SLDFLAGS} $< -o $@
-
-p_Procs_Lib_%.dl_op : p_Procs_Lib.cc p_Procs_Dynamic.op
-	${CXXP} ${CXXFLAGS} ${CXXTEMPLFLAGS} ${CPPFLAGS} ${DEFS} ${SFLAGS} -Dp_Procs_$* -c $< -o $@
-
-%.dl_op: %.cc
-	${CXXP} ${CXXFLAGSP} ${CXXTEMPLFLAGS} ${CPPFLAGS} ${DEFSP} ${SFLAGS} -c $< -o $@
-
-
-%.op: %.cc
-	$(CXXP) ${CXXFLAGSP} ${CXXTEMPLFLAGSP} ${CPPFLAGS} ${DEFSP} -c $< -o $@
-
-$(OBJP2) : %.op: %.c
-	$(CCP)  ${CFLAGSP} ${CPPFLAGS} ${DEFSP} -c $< -o $@
-
-## for bprof
-p_Procs_%.sob: p_Procs_Lib_%.dl_ob
-	${CXXP} ${CXXFLAGSB} ${SFLAGS} ${SLDFLAGS} $< -o $@
-
-p_Procs_Lib_%.dl_ob : p_Procs_Lib.cc  p_Procs_Dynamic.ob
-	${CXXP} ${CXXFLAGS} ${CXXTEMPLFLAGS} ${CPPFLAGS} ${DEFS} ${SFLAGS} -Dp_Procs_$* -c $< -o $@
-
-%.dl_ob: %.cc
-	${CXXP} ${CXXFLAGSB} ${CXXTEMPLFLAGS} ${CPPFLAGS} ${DEFSB} ${SFLAGS} -c $< -o $@
-
-%.ob: %.cc
-	$(CXXP) ${CXXFLAGSP} ${CXXTEMPLFLAGS} ${CPPFLAGS} ${DEFSB} -c $< -o $@
-
-$(OBJB2) : %.ob: %.c
-	$(CCP)  ${CFLAGSP} ${CPPFLAGS} ${DEFSB} -c $< -o $@
-
-iparith.ob: iparith.inc iparith.cc
-	$(CXXP)  ${CXXFLAGSP} ${CXXTEMPLFLAGS} ${CPPFLAGS} ${DEFSB} -c iparith.cc -o iparith.ob
-
-#
-# for mtrack
-# 
-p_Procs_%.sot: p_Procs_Lib_%.dl_ot 
-	${CXXP} ${CXXFLAGST} ${SFLAGS} ${SLDFLAGS} $< -o $@
-
-p_Procs_Lib_%.dl_ot : p_Procs_Lib.cc p_Procs_Dynamic.ot
-	${CXXP} ${CXXFLAGS} ${CXXTEMPLFLAGS} ${CPPFLAGS} ${DEFS} ${SFLAGS} -Dp_Procs_$* -c $< -o $@
-
-%.dl_ot: %.cc
-	${CXXP} ${CXXFLAGST} ${CXXTEMPLFLAGS} ${CPPFLAGS} ${DEFST} ${SFLAGS} -c $< -o $@
-
-%.ot: %.cc
-	$(CXXP) ${CXXFLAGST} ${CXXTEMPLFLAGS} ${CPPFLAGS} ${DEFST} -c $< -o $@
-
-$(OBJT2) : %.ot: %.c
-	$(CCP)  ${CFLAGST} ${CPPFLAGS} ${DEFST} -c $< -o $@
-
-iparith.ot: iparith.inc iparith.cc
-	$(CXXP)  ${CXXFLAGST} ${CXXTEMPLFLAGS} ${CPPFLAGS} ${DEFST} -c iparith.cc -o iparith.ot
-
-#
-# for Singulara
-#
-DEFSA = -DOM_CHECK=1 -DHAVE_ASSUME -DNDEBUG -D@SING_UNAME@ @DEFS@ -DDL_TAIL=$(DL_TAILA)
-CFLAGSA		= -g  -O -Wall -Wno-unused ${PIPE}
-CXXFLAGSA	= -g  -O -Wall -Wno-unused ${PIPE}
-
-p_Procs_%.soa: p_Procs_Lib_%.dl_oa
-	${CXX} ${CXXFLAGSA} ${SFLAGS} ${SLDFLAGS} $< -o $@
-
-p_Procs_Lib_%.dl_oa : p_Procs_Lib.cc p_Procs_Dynamic.oa
-	${CXX} ${CXXFLAGS} ${CXXTEMPLFLAGS} ${CPPFLAGS} ${DEFS} ${SFLAGS} -Dp_Procs_$* -c $< -o $@
-
-%.dl_oa: %.cc
-	${CXX} ${CXXFLAGSA} ${CXXTEMPLFLAGS} ${CPPFLAGS} ${DEFSA} ${SFLAGS} -c $< -o $@
-
-%.oa: %.cc
-	$(CXX) ${CXXFLAGSA} ${CXXTEMPLFLAGS} ${CPPFLAGS} ${DEFSA} -c $< -o $@
-
-$(OBJA2) : %.oa: %.c
-	$(CC)  ${CFLAGSA} ${CPPFLAGS} ${DEFSA} -c $< -o $@
-
-iparith.oa: iparith.inc iparith.cc
-	$(CXX)  ${CXXFLAGSA} ${CXXTEMPLFLAGS} ${CPPFLAGS} ${DEFSA} -c iparith.cc -o iparith.oa
 
 #
@@ -600,18 +441,13 @@
 
 ##
-## check_aso
-##
-check_aso:
-	${PERL} check_aso.pl $(SOURCES)
-##
 ## dependencies
 ##
 
 %.dd: %.cc mod2.h 
-	echo $(@:.dd=.og) $(@:.dd=.op) $(@:.dd=_d.cc) $(@:.dd=.od) $(@:.dd=.ob) $(@:.dd=.ot) $(@:.dd=.oa) $(@:.dd=.dl_o) $(@:.dd=.dl_og) $(@:.dd=.dl_op) $(@:.dd=.dl_od) $(@:.dd=.dl_ob) $(@:.dd=.dl_ot) $(@:.dd=.dl_oa)" " \\ > $@
+	echo $(@:.dd=.og) $(@:.dd=_d.cc) $(@:.dd=.od) $(@:.dd=.dl_o) $(@:.dd=.dl_og) $(@:.dd=.dl_od)" " \\ > $@
 	$(CXXM) -DGENTABLE ${CPPFLAGS} ${DEFSG} $< >> $@
 
 %.d: %.c mod2.h 
-	echo $(@:.d=.og) $(@:.d=.od) $(@:.dd=_d.c) $(@:.d=.op) $(@:.d=.ob) $(@:.d=.ot) $(@:.d=.oa)" " \\ > $@
+	echo $(@:.d=.og) $(@:.d=.od) $(@:.dd=_d.c)" " \\ > $@
 	$(CCM) ${CPPFLAGS} ${DEFSG} $< >> $@
 
